import React, {Component} from 'react';
import CompatCard from './components';

class App extends Component {

  handleClick = id => console.log(id);

  render() {
    return (
      <div>
        <CompatCard
          id={1}
          title="LO5521/2017"
          subtitle="12/04/2017 - 18/05/2017"
          headerText="Aberto em 12/04/2017"
          contentTitle="Cotação de cadeiras e assentos"
          contentText="Cadeiras de escritório e assentos para área externa."
          footerStatus={{status: 'running', text: 'Em cotação'}}
          footerButtonLabel="Abrir"
          onFooterButtonClick={this.handleClick}
          onHeaderButtonClick={this.handleClick}
          primaryText="0001567/2017"
          secondaryText="Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla vitae molestie sapien, sed luctus magna. Aliquam sed sapien pellentesque, commodo leo ut, volutpat augue. Curabitur facilisis interdum urna quis tempus. Fusce fermentum, odio nec lacinia interdum, metus mi condimentum mauris, sit amet ullamcorper lectus leo a dui - Ciente T"
          onSelect={this.handleClick}
          headerButton="toto"
          image="https://img.tecnisa.com.br/arquivos/estagioobra/128/Imagem/obra_flex_osasco_tecnisa.jpg"
        />
      </div>
    );
  }
}

export default App;
